Name:		milter-regex
Version:	1.7
Release:	3%{?dist}
Summary:	Sendmail milter plugin for regular expression filtering
Group:		System Environment/Daemons
License:	BSD
URL:		http://www.benzedrine.cx/milter-regex.html
Source0:	http://www.benzedrine.cx/milter-regex-%{version}.tar.gz
Source1:	milter-regex-initscript
Source2:	milter-regex-options
Source3:	milter-regex.conf
Patch0:		milter-regex-1.6-gcc.patch
Buildroot:	%{_tmppath}/%{name}-%{release}-root-%(%{__id_u} -n)
Buildrequires:	sendmail-devel >= 8.13, byacc, groff
Requires:	sendmail

Requires(pre):	  shadow-utils
Requires(post):	  /sbin/chkconfig
Requires(preun):  /sbin/chkconfig

%description
Milter-regex is a milter based filter that makes it possible to filter
emails using regular expressions.

%prep
%setup -q
%patch0 -p1 -b .gcc
%{__sed} -i -e 's|/etc/milter-regex\.conf|%{_sysconfdir}/mail/milter-regex.conf|;
		s|_milter-regex|mregex|' milter-regex.[8c]
/usr/bin/head -n +31 milter-regex.c > LICENSE

%build
%{__make} %{?_smp_mflags} -f Makefile.linux CFLAGS="%{optflags} -DYYMAXDEPTH=8192"

%install
%{__rm} -rf %{buildroot}
%{__mkdir} -p \
	%{buildroot}%{_initrddir} \
	%{buildroot}%{_localstatedir}/spool/milter-regex \
	%{buildroot}%{_mandir}/man8 \
	%{buildroot}%{_sbindir} \
	%{buildroot}%{_sysconfdir}/{mail,sysconfig}
%{__install} -p -m 755 milter-regex %{buildroot}%{_sbindir}/
%{__install} -p -m 644 milter-regex.8 %{buildroot}%{_mandir}/man8/
%{__install} -p -m 755 %{SOURCE1} %{buildroot}%{_initrddir}/milter-regex
%{__install} -p -m 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/sysconfig/milter-regex
%{__install} -p -m 644 %{SOURCE3} %{buildroot}%{_sysconfdir}/mail/milter-regex.conf

# Create a ghost sock file so we can remove it on package deletion
: > %{buildroot}%{_localstatedir}/spool/milter-regex/sock

%pre
/usr/bin/getent group mregex >/dev/null || /usr/sbin/groupadd -r mregex
/usr/bin/getent passwd mregex >/dev/null || \
	/usr/sbin/useradd -r -g mregex -d %{_localstatedir}/spool/milter-regex \
		-s /sbin/nologin -c "Regex Milter" mregex
exit 0

%post
/sbin/chkconfig --add milter-regex || :

%preun
if [ $1 -eq 0 ] ; then
	%{_initrddir}/milter-regex stop &> /dev/null || :
	/sbin/chkconfig --del milter-regex || :
fi

%postun
[ $1 -eq 0 ] && %{_initrddir}/milter-regexp try-restart &> /dev/null || :

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE
%{_sbindir}/milter-regex
%{_initrddir}/milter-regex
%config(noreplace) %{_sysconfdir}/sysconfig/milter-regex
%config(noreplace) %{_sysconfdir}/mail/milter-regex.conf
%dir %attr(755,mregex,mregex) %{_localstatedir}/spool/milter-regex/
%ghost %{_localstatedir}/spool/milter-regex/sock
%{_mandir}/man8/milter-regex.8*

%changelog
* Mon Feb 18 2008 Paul Howarth <paul@city-fan.org> - 1.7-3
- support config files with more than 507 rules (#304071)

* Wed Aug 22 2007 Paul Howarth <paul@city-fan.org> - 1.7-2
- rebuild for BuildID inclusion
  (http://fedoraproject.org/wiki/Releases/FeatureBuildId)

* Mon Aug  6 2007 Paul Howarth <paul@city-fan.org> - 1.7-1
- update to 1.7 (sendmail macro filtering support added)
- tarball now includes a versioned directory name
- split milter-regex.conf out from being a here document in the spec and have
  it as a separate source file instead
- unexpand tabs 
- use the standard scriptlet for user/group creation in %%pre
- use %%{_initrddir} rather than %%{_sysconfdir}/rc.d/init.d for initscript
- use %%{__install} rather than %%{__cp} in %%install
- drop scriptlet dependencies on /sbin/service by calling initscript directly
- LSB-ize initscript (#246983)

* Wed Apr 18 2007 Paul Howarth <paul@city-fan.org> - 1.6-7
- add patch for compile errors on Fedora 7
- use sed rather than perl for quick scripted edits

* Tue Aug 29 2006 Paul Howarth <paul@city-fan.org> - 1.6-6
- rebuild for dynamic linking speedups (FE6)

* Thu May 25 2006 Paul Howarth <paul@city-fan.org> - 1.6-5
- Address issues raised in review (#189611)
  - Add sendmail dependency
  - Honor %%{optflags}

* Fri Apr 21 2006 Paul Howarth <paul@city-fan.org> - 1.6-4
- Minor cosmetic changes for resubmission for Fedora Extras

* Fri Nov 18 2005 Paul Howarth <paul@city-fan.org> - 1.6-3
- Remove redundant ver_ and rel_ macros
- Don't include package name in the summary
- Use macros consistently
- Generate LICENSE file in %%prep rather than %%install
- Don't strip binary, so debuginfo package is useful
- Combine groupadd+useradd into a single useradd command
- Use /sbin/nologin for mregex shell instead of non-existent /bin/nologin
- Don't delete user+group on package removal (see
  http://www.redhat.com/archives/fedora-extras-commits/2005-June/msg00271.html)
- Install initscript in %%{_sysconfdir} rather than /etc/init.d
- Don't enable service by default on installation
- Add scriptlet dependencies
- Add buildreq groff
- Use full URL for source
- Edit username in man page as well as in code
- Use install rather than cp to install %%{SOURCE1} and %%{SOURCE2} so
  that permissions don't need to be set in SRPM
- Ghost the socket for clean package removal
- Buildreq sendmail-devel >= 8.13.0 because of the use of SMFIF_QUARANTINE
- Use dist tag

* Tue Jan 25 2005 Victor Ramirez <vramirez@gmail.com> - 1.6-2 
- Initial rpm release
- Modified user and configuration file location.

